## Topsis-python-package


# TOPSIS

Submitted By: **Samarjeet Singh - 102103563**.

Type: **Package**.

Title: **TOPSIS method for multiple-criteria decision making (MCDM)**.

Version: **1.0.0**.

Date: **22-01-2024**.

Author: **Samarjeet Singh**.

Maintainer: **Samarjeet Singh <singhsamarjeet09@gmail.com>**.

Description: **A Python package designed for performing Topsis analysis in the context of multiple-criteria decision making (MCDM). This package generates Topsis scores and ranks items accordingly.**.

---

## What is TOPSIS?

**T**echnique for **O**rder **P**reference by **S**imilarity to **I**deal **S**olution
(TOPSIS) originated in the 1980s as a multi-criteria decision making method.
TOPSIS chooses the alternative of shortest Euclidean distance from the ideal solution,
and greatest distance from the negative-ideal solution.

<br>

## How to install this package:

```
>> pip install Topsis-Samarjeet-102103562
```

### In Command Prompt

```
>> topsis -h
>> topsis data.csv "1,1,1,1" "+,+,-,+" result.csv
```

## Input file (data.csv)


|A        |B   |C   |D  |E   |F    |
|---------|----|----|---|----|-----|
|Fund Name|P1  |P2  |P3 |P4  |P5   |
|M1       |0.84|0.71|6.7|42.1|12.59|
|M2       |0.91|0.83|7  |31.7|10.11|
|M3       |0.79|0.62|4.8|46.7|13.23|
|M4       |0.78|0.61|6.4|42.4|12.55|
|M5       |0.94|0.88|3.6|62.2|16.91|
|M6       |0.88|0.77|6.5|51.5|14.91|
|M7       |0.66|0.44|5.3|48.9|13.83|
|M8       |0.93|0.86|3.4|37  |10.55|

`weights` = "2,2,3,3,4"
`impacts` = "-,+,-,+,-"


<br>

## Output file (result.csv)

|Fund Name|P1 |P2  |P3  |P4 |P5  |score|rank|
|---------|---|----|----|---|----|-----|-------------------|
|M1       |0.84|0.71|6.7 |42.1|12.59|0.46648384839516|6|
|M2       |0.91|0.83|7.0 |31.7|10.11|0.5565665031302564|2|
|M3       |0.79|0.62|4.8 |46.7|13.23|0.5552632203730501|3|
|M4       |0.78|0.61|6.4 |42.4|12.55|0.5091638066448925|5|
|M5       |0.94|0.88|3.6 |62.2|16.91|0.36399291864067096|7|
|M6       |0.88|0.77|6.5 |51.5|14.91|0.26936075735436416|8|
|M7       |0.66|0.44|5.3 |48.9|13.83|0.5251983566077868|4|
|M8       |0.93|0.86|3.4 |37.0|10.55|0.6986963797749929|1|


<br>
The output file contains columns of input file along with two additional columns having **Topsis_score** and **Rank**